# -*- coding: utf-8 -*-

# Copyright 2013-2014 Jorge Estrada. 
#
# This file is part of azucar.pythonUtils project. 
# It is subject to the license terms in the 
# LICENSE file found in the top-level directory of this distribution. 
# No part of azucar.pythonUtils project, including this file, may be copied,
# modified, propagated, or distributed except according to the terms contained 
# in the LICENSE file.

from ez_setup import use_setuptools
use_setuptools()

from setuptools import setup, find_packages

with open('README.txt') as readme_file:
    long_description = readme_file.read()

setup(name="azucar.pythonUtils",
      version="1.1.0",
      description="Utility functions and classes for working with Python",
      long_description=long_description,
      author="Jorge Estrada",
      author_email="jorgesoft@jorgeestrada.nom.es",
      classifiers= [
        "Programming Language :: Python",
        "Development Status :: 4 - Beta",
        "License :: Other/Proprietary License",
        "Intended Audience :: Developers",
        "Operating System :: POSIX :: Linux",
        "Topic :: Software Development :: Libraries :: Python Modules",
        ],
      package_dir = {'': 'source'},
      namespace_packages=["azucar"],
      install_requires = ["lxml", "sqlalchemy >= 0.8", "pyodbc >= 3.0.6"],
      scripts = ['source/scripts/setup_database.py', 
                 'source/scripts/drop_database_tables.py',
                 'source/scripts/create_db_script.py'],
      packages=["azucar", "azucar.configReader", "azucar.util", "azucar.checkConfig",
                  "azucar.provenance", "azucar.installUtil",
                  "azucar.quantity",
                  "azucar.testutils",
                  "azucar.db_utils"])
