# -*- coding: utf-8 -*-

# Copyright 2013-2014 Jorge Estrada. 
#
# This file is part of azucar.pythonUtils project. 
# It is subject to the license terms in the 
# LICENSE file found in the top-level directory of this distribution. 
# No part of azucar.pythonUtils project, including this file, may be copied,
# modified, propagated, or distributed except according to the terms contained 
# in the LICENSE file.

from azucar.testutils import unittest
import sys

import azucar.util

class TestUtil(unittest.TestCase):
    def test_floatEqual(self):
        self.assertTrue(azucar.util.floatEqual(sys.float_info.epsilon, 0.0))

    def test_setup_database_found_in_path(self):
        # The setup_database.py script of this project should be 
        # found in the PATH.
        
        self.assertIsNotNone(
                azucar.util.search_in_environ_path('setup_database.py'))

    def test_file_not_found_in_path_raises(self):
        # The setup_database.py script of this project should be 
        # found in the PATH.
        
        self.assertRaises(azucar.util.MyException,
                azucar.util.search_in_environ_path('non_existent_file'))
    
if __name__ == '__main__':
    unittest.main()
